# Generated from i18n-country-translations-1.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name i18n-country-translations

Name: rubygem-%{gem_name}
Version: 1.4.1
Release: 1%{?dist}
Summary: I18n Country Translations
License: MIT and GPL-3.0
URL: https://github.com/onomojo/i18n-country-translations
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 6
# BuildRequires: rubygem(rails) < 7
# BuildRequires: rubygem(rspec-rails) >= 3.7
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rspec-rails) >= 3.7.2
# BuildRequires: rubygem(i18n-spec) >= 0.1
# BuildRequires: rubygem(i18n-spec) < 1
# BuildRequires: rubygem(i18n-spec) >= 0.1.1
# BuildRequires: rubygem(nokogiri) >= 1.8
# BuildRequires: rubygem(nokogiri) < 2
# BuildRequires: rubygem(nokogiri) >= 1.8.1
# BuildRequires: rubygem(webmock) >= 3.3.0
# BuildRequires: rubygem(webmock) >= 3.3
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(simplecov) >= 0.15.1
# BuildRequires: rubygem(simplecov) < 0.16
BuildArch: noarch

%description
The purpose of this gem is to simply provide country translations. The gem is
intended to be easy to combine with other gems that require i18n country
translations so we can have common i18n country translation gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/rails
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.1-1
- Initial package
